diff --git a/framework/qa/complex/loadAllDocuments/CheckXComponentLoader.java b/framework/qa/complex/loadAllDocuments/CheckXComponentLoader.java
index 3f56147..4dd8ba8 100644
--- a/framework/qa/complex/loadAllDocuments/CheckXComponentLoader.java
+++ b/framework/qa/complex/loadAllDocuments/CheckXComponentLoader.java
@@ -129,7 +129,7 @@ public class CheckXComponentLoader
 
         // create frame instance
         m_xFrame = xDesktop.findFrame("testFrame_componentLoader",
-                                        FrameSearchFlag.TASKS | FrameSearchFlag.CREATE);
+                                        FrameSearchOption.Tasks | FrameSearchOption.Create);
         assertNotNull("Couldn't create test frame.", m_xFrame);
 
         // define default loader for testing
@@ -250,8 +250,8 @@ public class CheckXComponentLoader
 
     /** TODO document me and move this method to a more global helper! */
     private void impl_createTempOfficeDocument(XComponentLoader xLoader   ,
-                                               String           sSourceURL,
-                                               String           sTargetURL,
+                                               String           sFromURL,
+                                               String           sToURL,
                                                String           sFilter   ,
                                                String           sPassword ) throws Exception
     {
@@ -277,14 +277,14 @@ public class CheckXComponentLoader
 
         XComponent xDoc = null;
         // load it
-        xDoc = xLoader.loadComponentFromURL(sSourceURL, "_blank", 0, lLoadProps);
+        xDoc = xLoader.loadComponentFromURL( sFromURL, "_blank", 0, lLoadProps );
         assertNotNull("Could create office document, which should be saved as temp one.", xDoc);
 
         // save it as temp file
         XStorable xStore = UnoRuntime.queryInterface(XStorable.class, xDoc);
-        xStore.storeAsURL(sTargetURL, lSaveProps);
+        xStore.storeAsURL( sToURL, lSaveProps );
 
-        // Don't forget to close this file. Otherwise the temp file is locked!
+        // Don't forget to close this file, otherwise the temp file is locked
         XCloseable xClose = UnoRuntime.queryInterface(XCloseable.class, xDoc);
         xClose.close(false);
     }
@@ -424,13 +424,13 @@ public class CheckXComponentLoader
      * but opened documents.
      */
     private void loadURL(XComponentLoader xLoader, int nRequiredResult,
-                         String sURL, String sTarget, int nFlags,
+                         String sURL, String sRecipient, int nOptions,
                          PropertyValue[] lProps) {
         int nResult = RESULT_EMPTY_DOC;
         XComponent xDoc = null;
 
         try {
-            xDoc = xLoader.loadComponentFromURL(sURL, sTarget, nFlags,
+            xDoc = xLoader.loadComponentFromURL(sURL, sRecipient, nOptions,
                                                      lProps);
 
             if (xDoc != null) {
diff --git a/framework/source/accelerators/acceleratorconfiguration.cxx b/framework/source/accelerators/acceleratorconfiguration.cxx
index 3e27f5c..22b7d15 100644
--- a/framework/source/accelerators/acceleratorconfiguration.cxx
+++ b/framework/source/accelerators/acceleratorconfiguration.cxx
@@ -50,7 +50,7 @@
 #include <svtools/acceleratorexecute.hxx>
 
 #define PRESET_DEFAULT "default"
-#define TARGET_CURRENT "current"
+#define RECEIVER_CURRENT "current"
 
 namespace framework
 {
@@ -232,8 +232,7 @@ void SAL_CALL XMLBasedAcceleratorConfiguration::reload()
     css::uno::Reference< css::io::XStream > xStreamNoLang;
     {
         SolarMutexGuard g;
-        xStream = m_aPresetHandler.openTarget(TARGET_CURRENT,
-                css::embed::ElementModes::READ);
+        xStream = m_aPresetHandler.openRecipient( RECEIVER_CURRENT, css::embed::ElementModes::READ );
         try
         {
             xStreamNoLang = m_aPresetHandler.openPreset(PRESET_DEFAULT);
@@ -274,8 +273,7 @@ void SAL_CALL XMLBasedAcceleratorConfiguration::store()
     css::uno::Reference< css::io::XStream > xStream;
     {
         SolarMutexGuard g;
-        xStream = m_aPresetHandler.openTarget(TARGET_CURRENT,
-               css::embed::ElementModes::READWRITE); // open or create!
+        xStream = m_aPresetHandler.openRecipient( RECEIVER_CURRENT, css::embed::ElementModes::READWRITE ); // open or create
     }
 
     css::uno::Reference< css::io::XOutputStream > xOut;
@@ -301,7 +299,7 @@ void SAL_CALL XMLBasedAcceleratorConfiguration::storeToStorage(const css::uno::R
 {
     css::uno::Reference< css::io::XStream > xStream = StorageHolder::openSubStreamWithFallback(
                                                             xStorage,
-                                                            TARGET_CURRENT,
+                                                            RECEIVER_CURRENT,
                                                             css::embed::ElementModes::READWRITE,
                                                             false); // False => no fallback from read/write to readonly!
     css::uno::Reference< css::io::XOutputStream > xOut;
@@ -331,8 +329,7 @@ sal_Bool SAL_CALL XMLBasedAcceleratorConfiguration::isReadOnly()
     css::uno::Reference< css::io::XStream > xStream;
     {
         SolarMutexGuard g;
-        xStream = m_aPresetHandler.openTarget(TARGET_CURRENT,
-                css::embed::ElementModes::READWRITE); // open or create!
+        xStream = m_aPresetHandler.openRecipient( RECEIVER_CURRENT, css::embed::ElementModes::READWRITE ); // open or create
     }
 
     css::uno::Reference< css::io::XOutputStream > xOut;
@@ -371,7 +368,7 @@ throw(css::uno::RuntimeException, std::exception)
 {
     {
         SolarMutexGuard g;
-        m_aPresetHandler.copyPresetToTarget(PRESET_DEFAULT, TARGET_CURRENT);
+        m_aPresetHandler.copyPresetToRecipient( PRESET_DEFAULT, RECEIVER_CURRENT );
     }
 
     reload();
@@ -512,11 +509,11 @@ OUString XMLBasedAcceleratorConfiguration::impl_ts_getLocale() const
     return sISOLocale;
 }
 
-/*******************************************************************************
+/*
 *
 * XCU based accelerator configuration
 *
-*******************************************************************************/
+*/
 
 XCUBasedAcceleratorConfiguration::XCUBasedAcceleratorConfiguration(const css::uno::Reference< css::uno::XComponentContext >& xContext)
                                 : m_xContext      (xContext                     )
diff --git a/framework/source/accelerators/presethandler.cxx b/framework/source/accelerators/presethandler.cxx
index 628cfa2..bc04b32 100644
--- a/framework/source/accelerators/presethandler.cxx
+++ b/framework/source/accelerators/presethandler.cxx
@@ -88,19 +88,19 @@ PresetHandler::PresetHandler(const css::uno::Reference< css::uno::XComponentCont
 PresetHandler::PresetHandler(const PresetHandler& rCopy)
     : m_aLanguageTag( rCopy.m_aLanguageTag)
 {
-    m_xContext              = rCopy.m_xContext;
-    m_eConfigType           = rCopy.m_eConfigType;
-    m_sResourceType         = rCopy.m_sResourceType;
-    m_sModule               = rCopy.m_sModule;
-    m_xWorkingStorageShare  = rCopy.m_xWorkingStorageShare;
+    m_xContext = rCopy.m_xContext;
+    m_eConfigType = rCopy.m_eConfigType;
+    m_sResourceType = rCopy.m_sResourceType;
+    m_sModule = rCopy.m_sModule;
+    m_xWorkingStorageShare = rCopy.m_xWorkingStorageShare;
     m_xWorkingStorageNoLang = rCopy.m_xWorkingStorageNoLang;
-    m_xWorkingStorageUser   = rCopy.m_xWorkingStorageUser;
-    m_lPresets              = rCopy.m_lPresets;
-    m_lTargets              = rCopy.m_lTargets;
-    m_lDocumentStorages     = rCopy.m_lDocumentStorages;
-    m_sRelPathShare         = rCopy.m_sRelPathShare;
-    m_sRelPathNoLang        = rCopy.m_sRelPathNoLang;
-    m_sRelPathUser          = rCopy.m_sRelPathUser;
+    m_xWorkingStorageUser = rCopy.m_xWorkingStorageUser;
+    m_lPresets = rCopy.m_lPresets;
+    m_lRecipients = rCopy.m_lRecipients;
+    m_lDocumentStorages = rCopy.m_lDocumentStorages;
+    m_sRelPathShare = rCopy.m_sRelPathShare;
+    m_sRelPathNoLang = rCopy.m_sRelPathNoLang;
+    m_sRelPathUser = rCopy.m_sRelPathUser;
 }
 
 PresetHandler::~PresetHandler()
@@ -456,14 +456,14 @@ void PresetHandler::connectToResource(      PresetHandler::EConfigType
         sRelPathUser  = sLocalizedUserPath;
     }
 
-    // read content of level 3 (presets, targets)
+    // read content of level 3 (presets, recipients)
           css::uno::Reference< css::container::XNameAccess > xAccess;
           css::uno::Sequence< OUString >              lNames;
     const OUString*                                   pNames;
           sal_Int32                                          c;
           sal_Int32                                          i;
           std::vector<OUString> lPresets;
-          std::vector<OUString> lTargets;
+          std::vector<OUString> lRecipients;
 
     // read preset names of share layer
     xAccess.set(xShare, css::uno::UNO_QUERY);
@@ -497,7 +497,7 @@ void PresetHandler::connectToResource(      PresetHandler::EConfigType
             sal_Int32       nPos  = sTemp.indexOf(".xml");
             if (nPos > -1)
                 sTemp = sTemp.copy(0,nPos);
-            lTargets.push_back(sTemp);
+            lRecipients.push_back(sTemp);
         }
     }
 
@@ -507,7 +507,7 @@ void PresetHandler::connectToResource(      PresetHandler::EConfigType
         m_xWorkingStorageNoLang= xNoLang;
         m_xWorkingStorageUser  = xUser;
         m_lPresets             = lPresets;
-        m_lTargets             = lTargets;
+        m_lRecipients = lRecipients;
         m_sRelPathShare        = sRelPathShare;
         m_sRelPathNoLang       = sRelPathNoLang;
         m_sRelPathUser         = sRelPathUser;
@@ -522,11 +522,10 @@ void PresetHandler::connectToResource(      PresetHandler::EConfigType
     }
 }
 
-void PresetHandler::copyPresetToTarget(const OUString& sPreset,
-                                       const OUString& sTarget)
+void PresetHandler::copyPresetToRecipient( const OUString& sPreset,
+                                       const OUString& sRecipient )
 {
-    // don't check our preset list, if element exists
-    // We try to open it and forward all errors to the user!
+    // don't check preset list if element exists
 
     css::uno::Reference< css::embed::XStorage > xWorkingShare;
     css::uno::Reference< css::embed::XStorage > xWorkingNoLang;
@@ -534,35 +533,34 @@ void PresetHandler::copyPresetToTarget(const OUString& sPreset,
     {
         SolarMutexGuard g;
         xWorkingShare = m_xWorkingStorageShare;
-        xWorkingNoLang= m_xWorkingStorageNoLang;
-        xWorkingUser  = m_xWorkingStorageUser;
+        xWorkingNoLang = m_xWorkingStorageNoLang;
+        xWorkingUser = m_xWorkingStorageUser;
     }
 
-    // e.g. module without any config data ?!
     if (
-        (!xWorkingShare.is()) ||
-        (!xWorkingUser.is() )
+         ( !xWorkingShare.is() ) ||
+         ( !xWorkingUser.is() )
        )
     {
-       return;
+        SAL_WARN( "framework", "e.g. module without any config data ?" );
+        return;
     }
 
     OUString sPresetFile(sPreset);
     sPresetFile += ".xml";
 
-    OUString sTargetFile(sTarget);
-    sTargetFile += ".xml";
+    OUString sRecipientFile(sRecipient);
+    sRecipientFile += ".xml";
 
     // remove existing elements before you try to copy the preset to that location ...
-    // Otherwise w will get an ElementExistException inside copyElementTo()!
+    // Otherwise will get an ElementExistException inside copyElementTo()
     css::uno::Reference< css::container::XNameAccess > xCheckingUser(xWorkingUser, css::uno::UNO_QUERY_THROW);
-    if (xCheckingUser->hasByName(sTargetFile))
-        xWorkingUser->removeElement(sTargetFile);
+    if (  xCheckingUser->hasByName( sRecipientFile ) )
+        xWorkingUser->removeElement( sRecipientFile );
 
-    xWorkingShare->copyElementTo(sPresetFile, xWorkingUser, sTargetFile);
+    xWorkingShare->copyElementTo( sPresetFile, xWorkingUser, sRecipientFile );
 
-    // If our storages work in transacted mode, we have
-    // to commit all changes from bottom to top!
+    // If storages work as transacted, commit all changes from bottom to top
     commitUserChanges();
 }
 
@@ -586,8 +584,7 @@ css::uno::Reference< css::io::XStream > PresetHandler::openPreset(const OUString
     return xStream;
 }
 
-css::uno::Reference< css::io::XStream > PresetHandler::openTarget(
-        const OUString& sTarget, sal_Int32 const nMode)
+css::uno::Reference< css::io::XStream > PresetHandler::openRecipient( const OUString& sRecipient, sal_Int32 const nMode )
 {
     css::uno::Reference< css::embed::XStorage > xFolder;
     {
@@ -599,7 +596,7 @@ css::uno::Reference< css::io::XStream > PresetHandler::openTarget(
     if (!xFolder.is())
        return css::uno::Reference< css::io::XStream >();
 
-    OUString const sFile(sTarget + ".xml");
+    OUString const sFile( sRecipient + ".xml" );
 
     return xFolder->openStreamElement(sFile, nMode);
 }
diff --git a/framework/source/classes/framecontainer.cxx b/framework/source/classes/framecontainer.cxx
index b8a16dc..3d333d5 100644
--- a/framework/source/classes/framecontainer.cxx
+++ b/framework/source/classes/framecontainer.cxx
@@ -19,19 +19,19 @@
 
 #include <classes/framecontainer.hxx>
 
-#include <com/sun/star/frame/FrameSearchFlag.hpp>
+#include <com/sun/star/frame/FrameSearchOption.hpp>
 
 #include <vcl/svapp.hxx>
 #include <comphelper/sequence.hxx>
 
 namespace framework{
 
-/**-***************************************************************************************************************
+/**
     @short      initialize an empty container
     @descr      The container will be empty then - special features (e.g. the async quit mechanism) are disabled.
 
     @threadsafe not necessary - it's not a singleton
- *****************************************************************************************************************/
+*/
 FrameContainer::FrameContainer()
 /*DEPRECATEME
         , m_bAsyncQuit   ( sal_False                                      ) // default must be "disabled"!
@@ -40,20 +40,20 @@ FrameContainer::FrameContainer()
 {
 }
 
-/**-***************************************************************************************************************
+/**
     @short      deinitialize may a filled container
     @descr      Special features (if the currently are running) will be disabled and we free all used other resources.
 
     @threadsafe not necessary - it's not a singleton
- *****************************************************************************************************************/
+*/
 FrameContainer::~FrameContainer()
 {
-    // Don't forget to free memory!
+    // Don't forget to free memory
     m_aContainer.clear();
     m_xActiveFrame.clear();
 }
 
-/**-***************************************************************************************************************
+/**
     @short      append a new frame to the container
     @descr      We accept the incoming frame only, if it is a valid reference and doesn't exist already.
 
@@ -62,7 +62,7 @@ FrameContainer::~FrameContainer()
                     Must be a valid reference.
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 void FrameContainer::append( const css::uno::Reference< css::frame::XFrame >& xFrame )
 {
     if (xFrame.is() && ! exist(xFrame))
@@ -72,7 +72,7 @@ void FrameContainer::append( const css::uno::Reference< css::frame::XFrame >& xF
     }
 }
 
-/**-***************************************************************************************************************
+/**
     @short      remove a frame from the container
     @descr      In case we remove the last frame and our internal special feature (the async quit mechanism)
                 was enabled by the desktop instance, we start it.
@@ -82,7 +82,7 @@ void FrameContainer::append( const css::uno::Reference< css::frame::XFrame >& xF
                     Must be a valid reference.
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 void FrameContainer::remove( const css::uno::Reference< css::frame::XFrame >& xFrame )
 {
     SolarMutexGuard g;
@@ -98,7 +98,7 @@ void FrameContainer::remove( const css::uno::Reference< css::frame::XFrame >& xF
     }
 }
 
-/**-***************************************************************************************************************
+/**
     @short      check if the given frame currently exist inside the container
     @param      xFrame
                     reference to the queried frame
@@ -107,17 +107,17 @@ void FrameContainer::remove( const css::uno::Reference< css::frame::XFrame >& xF
                 <FALSE/> otherwise
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 bool FrameContainer::exist( const css::uno::Reference< css::frame::XFrame >& xFrame ) const
 {
     SolarMutexGuard g;
     return( ::std::find( m_aContainer.begin(), m_aContainer.end(), xFrame ) != m_aContainer.end() );
 }
 
-/**-***************************************************************************************************************
+/**
     @short      delete all existing items of the container
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 void FrameContainer::clear()
 {
     SolarMutexGuard g;
@@ -129,7 +129,7 @@ void FrameContainer::clear()
     m_xActiveFrame.clear();
 }
 
-/**-***************************************************************************************************************
+/**
     @short      returns count of all current existing frames
     @deprecated This value can't be guaranteed for multithreading environments.
                 So it will be marked as deprecated and should be replaced by "getAllElements()".
@@ -137,14 +137,14 @@ void FrameContainer::clear()
     @return     the count of existing container items
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 sal_uInt32 FrameContainer::getCount() const
 {
     SolarMutexGuard g;
     return( (sal_uInt32)m_aContainer.size() );
 }
 
-/**-***************************************************************************************************************
+/**
     @short      returns one item of this container
     @deprecated This value can't be guaranteed for multithreading environments.
                 So it will be marked as deprecated and should be replaced by "getAllElements()".
@@ -155,7 +155,7 @@ sal_uInt32 FrameContainer::getCount() const
     @return     a reference to a frame inside the container, which match with given index
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > FrameContainer::operator[]( sal_uInt32 nIndex ) const
 {
 
@@ -176,21 +176,21 @@ css::uno::Reference< css::frame::XFrame > FrameContainer::operator[]( sal_uInt32
     return xFrame;
 }
 
-/**-***************************************************************************************************************
+/**
     @short      returns a snapshot of all currently existing frames inside this container
     @descr      Should be used to replace the deprecated functions getCount()/operator[]!
 
     @return     a list of all frame references inside this container
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 css::uno::Sequence< css::uno::Reference< css::frame::XFrame > > FrameContainer::getAllElements() const
 {
     SolarMutexGuard g;
     return comphelper::containerToSequence(m_aContainer);
 }
 
-/**-***************************************************************************************************************
+/**
     @short      set the given frame as  the new active one inside this container
     @descr      We accept this frame only, if it's already a part of this container.
 
@@ -199,7 +199,7 @@ css::uno::Sequence< css::uno::Reference< css::frame::XFrame > > FrameContainer::
                     Must be a valid reference and already part of this container.
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 void FrameContainer::setActive( const css::uno::Reference< css::frame::XFrame >& xFrame )
 {
     if ( !xFrame.is() || exist(xFrame) )
@@ -209,7 +209,7 @@ void FrameContainer::setActive( const css::uno::Reference< css::frame::XFrame >&
     }
 }
 
-/**-***************************************************************************************************************
+/**
     @short      return the current active frame of this container
     @descr      Value can be null in case the frame was removed from the container and nobody
                 from outside decide which of all others should be the new one...
@@ -218,29 +218,30 @@ void FrameContainer::setActive( const css::uno::Reference< css::frame::XFrame >&
                 Value can be NULL!
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > FrameContainer::getActive() const
 {
     SolarMutexGuard g;
     return m_xActiveFrame;
 }
 
-/**-***************************************************************************************************************
+/**
     @short      implements a simple search based on current container items
     @descr      It can be used for findFrame() and implements a deep down search.
 
     @param      sName
-                    target name, which is searched
+                    recipient name which is searched
 
     @return     reference to the found frame or NULL if not.
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > FrameContainer::searchOnAllChildrens( const OUString& sName ) const
 {
     SolarMutexGuard g;
-    // Step over all child frames. But if direct child isn't the right one search on his children first - before
-    // you go to next direct child of this container!
+
+    // Step over all child frames
+
     css::uno::Reference< css::frame::XFrame > xSearchedFrame;
     for( TFrameContainer::const_iterator pIterator=m_aContainer.begin(); pIterator!=m_aContainer.end(); ++pIterator )
     {
@@ -251,25 +252,28 @@ css::uno::Reference< css::frame::XFrame > FrameContainer::searchOnAllChildrens(
         }
         else
         {
-            xSearchedFrame = (*pIterator)->findFrame( sName, css::frame::FrameSearchFlag::CHILDREN );
+            // a direct child isn't the one sought-for thus search on its children first - before
+            // moving to next direct child
+            xSearchedFrame = (*pIterator)->findFrame( sName, css::frame::FrameSearchOption::Children );
             if (xSearchedFrame.is())
                 break;
         }
     }
+
     return xSearchedFrame;
 }
 
-/**-***************************************************************************************************************
+/**
     @short      implements a simple search based on current container items
     @descr      It can be used for findFrame() and search on members of this container only!
 
     @param      sName
-                    target name, which is searched
+                    recipient name which is searched
 
     @return     reference to the found frame or NULL if not.
 
     @threadsafe yes
- *****************************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > FrameContainer::searchOnDirectChildrens( const OUString& sName ) const
 {
     SolarMutexGuard g;
diff --git a/framework/source/classes/taskcreator.cxx b/framework/source/classes/taskcreator.cxx
index 3bc3b1e..3753ee7 100644
--- a/framework/source/classes/taskcreator.cxx
+++ b/framework/source/classes/taskcreator.cxx
@@ -18,7 +18,7 @@
  */
 
 #include <classes/taskcreator.hxx>
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 #include <services.h>
 #include <taskcreatordefs.hxx>
 
@@ -33,30 +33,30 @@
 
 namespace framework{
 
-/*-****************************************************************************************************
+/*
     @short      initialize instance with necessary information
     @descr      We need a valid uno service manager to create or instanciate new services.
                 All other information to create frames or tasks come in on right interface methods.
 
     @param      xContext
                     points to the valid uno service manager
-*//*-*****************************************************************************************************/
+*/
 TaskCreator::TaskCreator( const css::uno::Reference< css::uno::XComponentContext >& xContext )
     : m_xContext    ( xContext )
 {
 }
 
-/*-****************************************************************************************************
+/*
     @short      deinitialize instance
     @descr      We should release all used resource which are not needed any longer.
-*//*-*****************************************************************************************************/
+*/
 TaskCreator::~TaskCreator()
 {
 }
 
-/*-****************************************************************************************************
+/*
     TODO document me
-*//*-*****************************************************************************************************/
+*/
 css::uno::Reference< css::frame::XFrame > TaskCreator::createTask( const OUString& sName )
 {
     css::uno::Reference< css::lang::XSingleServiceFactory > xCreator;
@@ -65,8 +65,8 @@ css::uno::Reference< css::frame::XFrame > TaskCreator::createTask( const OUStrin
     try
     {
         if (
-            ( TargetHelper::matchSpecialTarget(sName, TargetHelper::E_BLANK  ) ) ||
-            ( TargetHelper::matchSpecialTarget(sName, TargetHelper::E_DEFAULT) )
+            ( DeliveryHelper::isSpecialRecipient( sName, DeliveryHelper::E_BLANK  ) ) ||
+            ( DeliveryHelper::isSpecialRecipient( sName, DeliveryHelper::E_DEFAULT) )
            )
         {
 
diff --git a/framework/source/dispatch/closedispatcher.cxx b/framework/source/dispatch/closedispatcher.cxx
index 991c3e9..6574004 100644
--- a/framework/source/dispatch/closedispatcher.cxx
+++ b/framework/source/dispatch/closedispatcher.cxx
@@ -55,18 +55,18 @@ const char URL_CLOSEFRAME[] = ".uno:CloseFrame";
 
 CloseDispatcher::CloseDispatcher(const css::uno::Reference< css::uno::XComponentContext >& rxContext ,
                                  const css::uno::Reference< css::frame::XFrame >&          xFrame ,
-                                 const OUString&                                           sTarget)
+                                 const OUString&                                           sRecipient )
     : m_xContext         (rxContext                                       )
     , m_aAsyncCallback(
         new vcl::EventPoster(LINK(this, CloseDispatcher, impl_asyncCallback)))
     , m_eOperation(E_CLOSE_DOC)
     , m_pSysWindow(nullptr)
 {
-    uno::Reference<frame::XFrame> xTarget = static_impl_searchRightTargetFrame(xFrame, sTarget);
-    m_xCloseFrame = xTarget;
+    uno::Reference< frame::XFrame > xRecipient = static_impl_lookForRecipientFrame( xFrame, sRecipient );
+    m_xCloseFrame = xRecipient;
 
-    // Try to retrieve the system window instance of the closing frame.
-    uno::Reference<awt::XWindow> xWindow = xTarget->getContainerWindow();
+    // Try to retrieve the instance of system window of the closing frame
+    uno::Reference<awt::XWindow> xWindow = xRecipient->getContainerWindow();
     if (xWindow.is())
     {
         vcl::Window* pWindow = VCLUnoHelper::GetWindow(xWindow);
@@ -565,23 +565,23 @@ void CloseDispatcher::implts_notifyResultListener(const css::uno::Reference< css
     xListener->dispatchFinished(aEvent);
 }
 
-css::uno::Reference< css::frame::XFrame > CloseDispatcher::static_impl_searchRightTargetFrame(const css::uno::Reference< css::frame::XFrame >& xFrame ,
-                                                                                              const OUString&                           sTarget)
+css::uno::Reference< css::frame::XFrame > CloseDispatcher::static_impl_lookForRecipientFrame( const css::uno::Reference< css::frame::XFrame >& xFrame ,
+                                                                                              const OUString& sRecipient )
 {
-    if (sTarget.equalsIgnoreAsciiCase("_self"))
+    if ( sRecipient.equalsIgnoreAsciiCase( "_self" ) )
         return xFrame;
 
-    OSL_ENSURE(sTarget.isEmpty(), "CloseDispatch used for unexpected target. Magic things will happen now .-)");
+    OSL_ENSURE( sRecipient.isEmpty(), "CloseDispatch used for unexpected recipient. Magic things will happen now .-)" );
 
-    css::uno::Reference< css::frame::XFrame > xTarget = xFrame;
+    css::uno::Reference< css::frame::XFrame > xRecipient = xFrame;
     while(true)
     {
-        // a) top frames wil be closed
-        if (xTarget->isTop())
-            return xTarget;
+        // a) close recipient frame if it's on top
+        if ( xRecipient->isTop() )
+            return xRecipient;
 
         // b) even child frame containing top level windows (e.g. query designer of database) will be closed
-        css::uno::Reference< css::awt::XWindow >    xWindow        = xTarget->getContainerWindow();
+        css::uno::Reference< css::awt::XWindow >    xWindow        = xRecipient->getContainerWindow();
         css::uno::Reference< css::awt::XTopWindow > xTopWindowCheck(xWindow, css::uno::UNO_QUERY);
         if (xTopWindowCheck.is())
         {
@@ -592,22 +592,19 @@ css::uno::Reference< css::frame::XFrame > CloseDispatcher::static_impl_searchRig
             //     a simple XWindow using the toolkit only .-(
             SolarMutexGuard aSolarLock;
             vcl::Window* pWindow = VCLUnoHelper::GetWindow( xWindow );
-            if (
-                (pWindow                  ) &&
-                (pWindow->IsSystemWindow())
-               )
-                return xTarget;
+            if ( pWindow  &&  pWindow->IsSystemWindow() )
+                return xRecipient;
         }
 
         // c) try to find better results on parent frame
         //    If no parent frame exists (because this frame is used outside the desktop tree)
         //    the given frame must be used directly.
-        css::uno::Reference< css::frame::XFrame > xParent(xTarget->getCreator(), css::uno::UNO_QUERY);
+        css::uno::Reference< css::frame::XFrame > xParent(xRecipient->getCreator(), css::uno::UNO_QUERY);
         if ( ! xParent.is())
-            return xTarget;
+            return xRecipient;
 
         // c1) check parent frame inside next loop ...
-        xTarget = xParent;
+        xRecipient = xParent;
     }
 }
 
